Subject: Re: [PATCH v4 10/10] powerpc/smp: Implement cpu_to_coregroup_id

From: Srikar Dronamraju <[email-masked]>
Date: Fri, 31 Jul 2020 15:28:08 +0530

* Michael Ellerman <[email-masked]> [2020-07-31 18:02:21]:

> Srikar Dronamraju <[email-masked]> writes:
> > Lookup the coregroup id from the associativity array.
> 

Thanks Michael for all your comments and inputs.

> It's slightly strange that this is called in patch 9, but only properly
> implemented here in patch 10.
> 
> I'm not saying you have to squash them together, but it would be good if
> the change log for patch 9 mentioned that a subsequent commit will
> complete the implementation and how that affects the behaviour.
> 

I probably got influenced by few LKML community members who always add a
stub and implement the gory details in a subsequent patch. I will surely add
the change log in patch 9 about the subsequent patches.

> cheers

-- 
Thanks and Regards
Srikar Dronamraju